RawFrame

List models

GET
/v1/models

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key, e.g. rf_live_3f9k2q_….

Query Parameters

type?string
Value in"image""video"
mode?string
Value in"text_to_image""image_edit""text_to_video""image_to_video""reference_to_video""video_edit""video_extend"

Response Body

Models available to the caller.

application/json
  1. response
object*unknown
data*array<>
Example Request
curl -X GET 'https://api.rawframe.dev/v1/models'
Example Response
{  "object": "list",  "data": [    {      "object": "model",      "id": "bytedance/seedance-2.5",      "name": "string",      "provider": "byteplus",      "type": "image",      "modes": [        "text_to_image"      ],      "capabilities": {        "durations_seconds": [          0        ],        "resolutions": [          "720p"        ],        "aspect_ratios": [          "16:9"        ],        "max_outputs": 0,        "audio": true,        "seed": true,        "negative_prompt": true,        "max_prompt_chars": 0,        "references": {          "first_frame": 1,          "last_frame": 1,          "reference_image": 4        }      },      "provider_options_schema": {},      "pricing": [        {          "unit": "per_second",          "when": {},          "amount_micros": 0,          "min_charge_micros": 0        }      ],      "cancel_policy": "free",      "lifecycle": "preview",      "retires_at": "2019-08-24T14:15:22Z",      "availability": "operational"    }  ]}